package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * 少错件报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class FewerMistakesReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工厂
     */
    @Excel(name = "工厂")
    @JsonProperty("FACTORY_NAME")
    private String FACTORY_NAME;

    /**
     * 产线
     */
    @Excel(name = "产线")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * 日期
     */
    @Excel(name = "日期")
    @JsonProperty("INSPECTOR_TIME")
    private String INSPECTOR_TIME;

    /**
     * 工位
     */
    @Excel(name = "工位")
    @JsonProperty("STATION_NAME")
    private String STATION_NAME;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    @JsonProperty("MATERIAL_MODEL")
    private String MATERIAL_MODEL;

    /**
     * 问题点
     */
    @Excel(name = "问题点")
    @JsonProperty("QUALITY_DEFECT_NAME")
    private String QUALITY_DEFECT_NAME;

    /**
     * 数量
     */
    @Excel(name = "数量")
    @JsonProperty("DEFECT_NUMBER")
    private Long DEFECT_NUMBER;

    public String getFACTORY_NAME() {
        return FACTORY_NAME;
    }

    public void setFACTORY_NAME(String FACTORY_NAME) {
        this.FACTORY_NAME = FACTORY_NAME;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getINSPECTOR_TIME() {
        return INSPECTOR_TIME;
    }

    public void setINSPECTOR_TIME(String INSPECTOR_TIME) {
        this.INSPECTOR_TIME = INSPECTOR_TIME;
    }

    public String getSTATION_NAME() {
        return STATION_NAME;
    }

    public void setSTATION_NAME(String STATION_NAME) {
        this.STATION_NAME = STATION_NAME;
    }

    public String getMATERIAL_MODEL() {
        return MATERIAL_MODEL;
    }

    public void setMATERIAL_MODEL(String MATERIAL_MODEL) {
        this.MATERIAL_MODEL = MATERIAL_MODEL;
    }

    public String getQUALITY_DEFECT_NAME() {
        return QUALITY_DEFECT_NAME;
    }

    public void setQUALITY_DEFECT_NAME(String QUALITY_DEFECT_NAME) {
        this.QUALITY_DEFECT_NAME = QUALITY_DEFECT_NAME;
    }

    public Long getDEFECT_NUMBER() {
        return DEFECT_NUMBER;
    }

    public void setDEFECT_NUMBER(Long DEFECT_NUMBER) {
        this.DEFECT_NUMBER = DEFECT_NUMBER;
    }

    @Override
    public String toString() {
        return "FewerMistakesReport{" +
                "FACTORY_NAME='" + FACTORY_NAME + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", INSPECTOR_TIME=" + INSPECTOR_TIME +
                ", STATION_NAME='" + STATION_NAME + '\'' +
                ", MATERIAL_MODEL='" + MATERIAL_MODEL + '\'' +
                ", QUALITY_DEFECT_NAME='" + QUALITY_DEFECT_NAME + '\'' +
                ", DEFECT_NUMBER=" + DEFECT_NUMBER +
                '}';
    }
}
